Get fact
curl --request GET \
--url https://api.onvy.health/users/{user_id}/facts/{fact_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onvy.health/users/{user_id}/facts/{fact_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onvy.health/users/{user_id}/facts/{fact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "<string>",
"type": "mind",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "survey",
"id": "<string>",
"certainty_on_creation": 0.5,
"certainty_on_update": 0.5
}{
"error": "<string>"
}{
"error": "<string>"
}facts
Get fact
Get a specific fact by ID
GET
/
users
/
{user_id}
/
facts
/
{fact_id}
Get fact
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Fact ID
Response
Fact details
Fact text content
Required string length:
1 - 1000Fact category
Available options:
mind, body, activity, nutrition, sleep, recovery, goal User ID
Source of the fact
Available options:
survey, user_input, coach, integration Unique fact identifier
Initial certainty score when the fact was created.
Required range:
0 <= x <= 1Most recent certainty score set during an update operation.
Required range:
0 <= x <= 1Was this page helpful?